{% extends "header_footer_general.html" %}

{% block title%}
System | SolarSolutions
{% endblock %}

{% block content %}



<!-- 
result[0] -> (Panel_obgj, Nr, Total_power, Total_Price)

result[1] -> (Accu_obj, Nr, Total_Price)

result[2] -> Reg_obj

result[3] -> Money left from buget


 -->

<!-- <h1>{{result}}</h1> -->
<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <!-- <section class="breadcrumbs">
      <div class="container">

        <div class="d-flex justify-content-between align-items-center">
          <h2>Calculator</h2>

        </div>

      </div>
    </section> End Breadcrumbs -->

   <!-- <div class="container" style="margin-left: 0; margin-right: 0; padding-left: 0; padding-right: 0;" > -->
      <div class="row"> 
        <div class="col-12" style="padding-right:0;">
          <section id="hero" class="align-items-center" style="overflow: auto;">
            <div class="row justify-content-center" style="margin-top:-1%;"  >
              <div class=" col-lg-10 pt-3 pt-lg-0 order-2 order-lg-1 d-flex flex-column text-center">
         
          <h1 style="font-size: 30px; padding-bottom: 3%;">Based on the collected data, we think that these system will be suitable for you:</h1>

          
          
          {% for i in range( result_all | length ) %}
            {% with result = result_all[i] %}
          
            <br>
            <br>
            <h1>{{intro[i]}}</h1>
          <div class="row p-2  border rounded" style="  background-color: white; box-shadow: 0 0 10px 1px rgba(0,0,0,0.3);">
            <div class="col-md-3 mt-1"><img class="img-fluid img-responsive rounded product-image" src="{{result[0][0].picture}}"></div>
            <div class="col-md-6 mt-1">
      
                <h5 style="font-weight: bold; font-size: 25px; margin-right: -15%;">Recommended panel's details</h5>
                <br>
                
                <div class=" row spec-1" style="margin-right:60%;"><span><b>Name:</b>  {{ result[0][0].name }}</span>
                  <span style="margin-top: 3%;"> <b>Type:</b> {{ result[0][0].type }}</span>
          
                  <span style="margin-top: 3%;"> <b>Power:</b> {{ result[0][0].power }} W<br></span>
                  <br>
                  </div>
                <div class="spec-1 row " style="margin-right:60%;"><span style="margin-top: 3%;"> <b>Length:</b> {{ result[0][0].length }} m</span><span style="margin-top: 3%;"> <b>Width:</b> {{ result[0][0].width }} m</span><span style="margin-top: 3%;"> <b>Price:</b> {{ result[0][0].price }} RON<br></span><br><br><span style="margin-top: 3%;"><b>Price for all panels: {{ result[0][3] }} RON</b></span></div>
                <br>

            </div>
            <div class="align-items-center align-content-center col-md-3 border-left mt-1">
                <div class="d-flex flex-row align-items-center">
                </div>
                
                
                <div class="d-flex flex-column mt-4" style="margin-right: 20%;">
                
                  <h5 style="font-weight: bold; font-size: 25px; margin-right: -15%;">How many panels will you need?</h5>
                  <br><br>

                  <h6 style="font-weight: bold; font-size: 55px; margin-right: -15%;">{{result[0][1]}}</h6>

                </div>
           
          </div>
          <div class="col-md-3 mt-1"><img class="img-fluid img-responsive rounded product-image" src="{{result[1][0].picture}}"></div>
          <div class="col-md-6 mt-1">
      
            <h5 style="font-weight: bold; font-size: 25px; margin-right: -15%;">Recommended battery's details</h5>
            <br>
            
            <div class=" row spec-1" style="margin-right:60%;"><span> <b>Name:</b> {{result[1][0].name }}</span>
              <span style="margin-top: 3%;"> <b>Type:</b> {{result[1][0].type }}</span>
      
              <span style="margin-top: 3%;"> <b>Capacity:</b> {{result[1][0].capacity }} Ah<br></span>
              <br>
              </div>
            <div class="spec-1 row " style="margin-right:60%;"><span style="margin-top: 3%;"> <b>Voltage:</b> 12 V</span><span style="margin-top: 3%;"> <b>Price:</b> {{result[1][0].price }}<br></span><br><br><span style="margin-top: 3%;"><b>Price for all batteries: {{result[1][2]}} RON</b></span></div>
            <br>
        </div>
        <div class="align-items-center align-content-center col-md-3 border-left mt-1">
          <div class="d-flex flex-row align-items-center">
          </div>
          
          
          <div class="d-flex flex-column mt-4" style="margin-right: 20%;">
          
            <h5 style="font-weight: bold; font-size: 25px; margin-right: -15%;">How many batteries will you need?</h5>
            <br><br>

            <h6 style="font-weight: bold; font-size: 55px; margin-right: -15%;">{{result[1][1]}}</h6>

          </div>
     
    </div>



          
          <div class="col-md-3 mt-1"><img class="img-fluid img-responsive rounded product-image" src="{{result[2].picture}}"></div>
          <div class="col-md-6 mt-1">
      
            <h5 style="font-weight: bold; font-size: 25px; margin-right: -15%;">Recommended inverter's details</h5>
            <br>
            
            <div class=" row spec-1" style="margin-right:60%;"><span> <b>Name:</b> {{result[2].name}}</span>
              <span style="margin-top: 3%;"> <b>Type:</b> Hibrid</span>
      
              <span style="margin-top: 3%;"> <b>Power:</b> {{result[2].power}} W<br></span>
              <br>
              </div>
            <div class="spec-1 row " style="margin-right:60%;"><span style="margin-top: 3%;"> <b>Charging:</b> {{result[2].charging}} Ah</span><span style="margin-top: 3%;"> <b>Price:</b> {{result[2].price}}</span><br><br><span style="margin-top: 3%;"><b>Price for all inverters: {{result[2].price}}</b></span></div>
            <br>
        </div>
        <div class="align-items-center align-content-center col-md-3 border-left mt-1">
          <div class="d-flex flex-row align-items-center">
          </div>

          <div class="d-flex flex-column mt-4" style="margin-right: 20%;">
          
            <h5 style="font-weight: bold; font-size: 25px; margin-right: -15%;">How many inverters will you need?</h5>
            <br><br>

            <h6 style="font-weight: bold; font-size: 55px; margin-right: -15%;">1</h6>

          </div>
          
          
   

          
     
    </div>
            
    <h1 style="font-size: 30px; padding-bottom: 3%;">Total price: {{budget - result[3]}} RON</h1>
          </div>

          <br>
          <br>
          <br>
          {% endwith %}
          {% endfor %}

          
        
          </div>
          </div>

        </section>
     
        </div>

      </div>
      <div class="row"> 

      </div>


  <!--  </div> -->



  </main><!-- End #main -->

{% endblock %}